#! /usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const minimist = require("minimist");
const commands_1 = require("./commands");
const options_1 = require("./commands/options");
const usage_1 = require("./commands/usage");
const argv = minimist(process.argv.slice(2));
const command = argv._[0] || "validate";
if (command in commands_1.default) {
    const cmd = commands_1.default[command];
    const errors = options_1.checkOptions(cmd.schema, argv);
    if (errors) {
        console.error(errors);
        usage_1.default();
        process.exit(2);
    }
    else {
        const ok = cmd.execute(argv);
        process.exit(ok ? 0 : 1);
    }
}
else {
    console.error(`Unknown command ${command}`);
    usage_1.default();
    process.exit(2);
}
//# sourceMappingURL=index.js.map